{% extends 'main/base.html' %}
{% load static %}
{% block title %}{{ "Сотрудники кафедры" }}{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb "Сотрудники кафедры" "/about-workers" %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <h4>Преподаватели:</h4>
    <section class="teacher-cards" id="teacher-cards">
      <ul style="list-style: none">
        {% for teacher in teachers %}
          <li>
            <div class="card mb-3">
              <div class="row no-gutters">
                <div class="col-md-4">
                  <a href="{% url 'main:teacher'  teacher.id %}"><img src="
                        {% if  teacher.photo %}
                        {{ teacher.photo.url }}
                        {% else %}
      https://mdbootstrap.com/img/Photos/Others/placeholder-avatar.jpg
      {% endif %}" class="card-img" alt="..."></a>
                </div>
                <div class="col-md-8">
                  <div class="card-body">
                    <a href="{% url 'main:teacher' teacher.id %}"><h5
                        class="card-title">{{ teacher.last_name }} {{ teacher.first_name }} {{ teacher.middle_name }}</h5>
                    </a>
                    <p class="card-text">{{ teacher.position|default_if_none:'' }}<br>
                      {{ teacher.degree|default_if_none:'' }}<br>
                      {{ teacher.title|default_if_none:'' }}
                    </p>
                    <p class="card-text" hidden>
                      <small class="text-muted">Last updated 3 mins ago</small>
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </li>
        {% endfor %}
      </ul>
    </section>
    {% if workers %}
      <h4>Учебно-вспомогательный персонал:</h4>
      <section class="teacher-cards" id="teacher-cards">
        <ul style="list-style: none">
          {% for worker in workers %}
            <li>
              <div class="card mb-3">
                <div class="row no-gutters">
                  <div class="col-md-4">
                    <a href="{% url 'main:worker'  worker.id %}"><img src="
                        {% if  worker.photo %}
                        {{ worker.photo.url }}
                        {% else %}
      https://mdbootstrap.com/img/Photos/Others/placeholder-avatar.jpg
      {% endif %}" class="card-img" alt="..."></a>
                  </div>
                  <div class="col-md-8">
                    <div class="card-body">
                      <a href="{% url 'main:worker' worker.id %}"><h5
                          class="card-title">{{ worker.last_name }} {{ worker.first_name }} {{ worker.middle_name }}</h5>
                      </a>
                      <p class="card-text">{{ worker.position|default_if_none:'' }}
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </li>
          {% endfor %}
        </ul>
      </section>
    {% endif %}
  </section>
{% endblock %}
